cascading.flow.planner

## Class BaseFlowStepFactory<Config>

- java.lang.Object
- - cascading.flow.planner.BaseFlowStepFactory<Config>

- All Implemented Interfaces:
    FlowStepFactory<Config>

      public abstract class BaseFlowStepFactory<Config>
      extends Object
      implements FlowStepFactory<Config>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BaseFlowStepFactory()`
    `` | `BaseFlowStepFactory(FlowNodeFactory flowNodeFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowNodeFactory` | `getFlowNodeFactory()`
    `String` | `makeFlowStepName(FlowStep flowStep, int numSteps, int stepNum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cascading.flow.planner.process.FlowStepFactory

      `createFlowStep`

- - ### Constructor Detail

    - #### BaseFlowStepFactory

          protected BaseFlowStepFactory()

    - #### BaseFlowStepFactory

          public BaseFlowStepFactory(FlowNodeFactory flowNodeFactory)

  - ### Method Detail

    - #### makeFlowStepName

          public String makeFlowStepName(FlowStep flowStep,
                                int numSteps,
                                int stepNum)

      Specified by:
        `makeFlowStepName` in interface `FlowStepFactory<Config>`

    - #### getFlowNodeFactory

          public FlowNodeFactory getFlowNodeFactory()

      Specified by:
        `getFlowNodeFactory` in interface `FlowStepFactory<Config>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.